:root {
    --color-primary-dark-1: #1e40af !important;
    --color-primary-dark-2: #1e3a8a !important;
    --color-primary-dark-3: #172554 !important;
    --color-primary-dark-4: #0f172a !important;
    --color-primary-light-1: #38bdf8 !important;
    --color-primary-light-2: #7dd3fc !important;
    --color-primary-light-3: #bae6fd !important;
    --color-primary-light-4: #e0f2fe !important;
    --color-primary-alpha-10: rgba(37, 99, 235, 0.1) !important;
    --color-primary-alpha-20: rgba(37, 99, 235, 0.2) !important;
    --color-primary-alpha-30: rgba(37, 99, 235, 0.3) !important;
}

.home .stackable {
    padding-top: 0px !important;
}

.full.height {
    padding-bottom: 0px !important;
}

img.logo,
img[alt="sven-minio Logo"],
img[alt="Logo"] {
    content: url('/assets/img/logo-light.svg') !important;
}

html.theme-gitea-dark img.logo,
html.theme-gitea-dark img[alt="sven-minio Logo"],
html.theme-gitea-dark img[alt="Logo"],
html.theme-forgejo-dark img.logo,
html.theme-forgejo-dark img[alt="sven-minio Logo"],
html[data-theme*="dark"] img.logo,
html[data-theme*="dark"] img[alt="sven-minio Logo"],
html[data-theme*="dark"] img[alt="Logo"],
html.theme-forgejo-dark img[alt="Logo"] {
    content: url('/assets/img/logo-dark.svg') !important;
}

@media (prefers-color-scheme: dark) {
    html.theme-gitea-auto img.logo,
    html.theme-gitea-auto img[alt="sven-minio Logo"],
    html.theme-gitea-auto img[alt="Logo"],
    html.theme-forgejo-auto img.logo,
    html.theme-forgejo-auto img[alt="sven-minio Logo"],
    html[data-theme*="auto"] img.logo,
    html[data-theme*="auto"] img[alt="sven-minio Logo"],
    html[data-theme*="auto"] img[alt="Logo"],
    html.theme-forgejo-auto img[alt="Logo"] {
        content: url('/assets/img/logo-dark.svg') !important;
    }
    :root {
        --color-nav-bg: #000000 !important;
        --color-footer: #000000 !important;
        --color-primary: #24abe7 !important;
    }
}

@media (prefers-color-scheme: light) {
    html.theme-gitea-auto img.logo,
    html.theme-gitea-auto img[alt="sven-minio Logo"],
    html.theme-gitea-auto img[alt="Logo"],
    html.theme-forgejo-auto img.logo,
    html.theme-forgejo-auto img[alt="sven-minio Logo"],
    html[data-theme*="auto"] img.logo,
    html[data-theme*="auto"] img[alt="sven-minio Logo"],
    html[data-theme*="auto"] img[alt="Logo"],
    html.theme-forgejo-auto img[alt="Logo"] {
        content: url('/assets/img/logo-light.svg') !important;
    }
    :root {
        --color-nav-bg: #f6f7fa !important;
        --color-footer: #f6f7fa !important;
        --color-primary: #4183c4 !important;
    }
}

.page-footer {
    flex-direction: column;
    justify-content: flex-start !important;
    align-items: center;
}

.custom-icon {
    display: flex !important;
    align-items: center;
}

.custom-icon::before {
    content: '';
    display: inline-block;
    width: 16px;
    height: 16px;
    margin-right: 8px;
    background-color: currentColor; 
    -webkit-mask-size: contain;
    mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-position: center;
    mask-position: center;
}

.custom-icon.icon-heart::before {
    background-color: #e11d48 !important;
}

.icon-cloud::before { -webkit-mask-image: url('/assets/img/icons/cloud.svg'); mask-image: url('/assets/img/icons/cloud.svg'); }
.icon-code::before { -webkit-mask-image: url('/assets/img/icons/code.svg'); mask-image: url('/assets/img/icons/code.svg'); }
.icon-law::before { -webkit-mask-image: url('/assets/img/icons/law.svg'); mask-image: url('/assets/img/icons/law.svg'); }
.icon-idcard::before { -webkit-mask-image: url('/asstes/img/icons/idcard.svg'); mask-image: url('/assets/img/icons/idcard.svg'); }
.icon-shield::before { -webkit-mask-image: url('/assets/img/icons/shield.svg'); mask-image: url('/assets/img/icons/shield.svg'); }
.icon-info::before { -webkit-mask-image: url('/assets/img/icons/info.svg'); mask-image: url('/assets/img/icons/info.svg'); }
.icon-github::before { -webkit-mask-image: url('/assets/img/icons/github.svg'); mask-image: url('/assets/img/icons/github.svg'); }
.icon-codeberg::before { -webkit-mask-image: url('/assets/img/icons/codeberg.svg'); mask-image: url('/assets/img/icons/codeberg.svg'); }
.icon-discord::before { -webkit-mask-image: url('/assets/img/icons/discord.svg'); mask-image: url('/assets/img/icons/discord.svg'); }
.icon-twitter::before { -webkit-mask-image: url('/assets/img/icons/twitter.svg'); mask-image: url('/assets/img/icons/twitter.svg'); }
.icon-facebook::before { -webkit-mask-image: url('/assets/img/icons/facebook.svg'); mask-image: url('/assets/img/icons/facebook.svg'); }
.icon-mail::before { -webkit-mask-image: url('/assets/img/icons/mail.svg'); mask-image: url('/assets/img/icons/mail.svg'); }
.icon-donate::before { -webkit-mask-image: url('/assets/img/icons/donate.svg'); mask-image: url('/assets/img/icons/donate.svg'); }
.icon-npm::before { -webkit-mask-image: url('/assets/img/icons/npm.svg'); mask-image: url('/assets/img/icons/npm.svg'); }
.icon-codepen::before { -webkit-mask-image: url('/assets/img/icons/codepen.svg'); mask-image: url('/assets/img/icons/codepen.svg'); }
.icon-sven-minio::before { -webkit-mask-image: url('/assets/img/icons/sven-minio.svg'); mask-image: url('/assets/img/icons/sven-minio.svg'); }

footer a {
    margin-left: 1rem;
}